% Figures 3 to 5 in "The Limited Power of Monetary Policy in a Pandemic",
% Antoine Lepetit and Cristina Fuentes-Albero, May 2022.
% This program reads the mat files Xn_results and Xn_cont_results produced
% by the programs irf_mpshock.m and irf_mpshock_cont.m.

clear all
clc

load Xn_results;
load Xn_cont_results;

%% Figures 10 to 12: no active containment.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Consumption
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(1);
plot(100.*(Xn(13,1:120,1)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'LineWidth',3);
hold on
plot(100.*(Xn(13,1:120,10)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn(13,1:120,20)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn(13,1:120,30)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),':','LineWidth',3);
hold on
plot(100.*(Xn(13,1:120,40)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'LineWidth',1.5);
hold on
plot(100.*(Xn(13,1:120,50)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'--','LineWidth',1.5);
hold on
plot(100.*(Xn(13,1:120,60)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'-.','LineWidth',1.5);
hold on
plot(100.*(Xn(13,1:120,70)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),':','LineWidth',1.5);
hold on
plot(100.*(Xn(13,1:120,80)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Consumption (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig10_consumption.eps','epsc')

figure(2);
plot(100.*(Xn_2(13,1:120,1)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_2(13,1:120,20)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_2(13,1:120,50)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_2(13,1:120,80)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Consumption (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig11_consumption.eps','epsc')

figure(3);
plot(100.*(Xn_3(13,1:120,1)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_3(13,1:120,20)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_3(13,1:120,50)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_3(13,1:120,80)-Xn_baseline(13,1:120))./Xn_baseline(13,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Consumption (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig12_consumption.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Infected
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(4);
plot(Xn(3,1:120,1)-Xn_baseline(3,1:120),'LineWidth',3);
hold on
plot(Xn(3,1:120,10)-Xn_baseline(3,1:120),'--','LineWidth',3);
hold on
plot(Xn(3,1:120,20)-Xn_baseline(3,1:120),'-.','LineWidth',3);
hold on
plot(Xn(3,1:120,30)-Xn_baseline(3,1:120),':','LineWidth',3);
hold on
plot(Xn(3,1:120,40)-Xn_baseline(3,1:120),'LineWidth',1.5);
hold on
plot(Xn(3,1:120,50)-Xn_baseline(3,1:120),'--','LineWidth',1.5);
hold on
plot(Xn(3,1:120,60)-Xn_baseline(3,1:120),'-.','LineWidth',1.5);
hold on
plot(Xn(3,1:120,70)-Xn_baseline(3,1:120),':','LineWidth',1.5);
hold on
plot(Xn(3,1:120,80)-Xn_baseline(3,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Infected (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig10_infected.eps','epsc')


figure(5);
plot(Xn_2(3,1:120,1)-Xn_baseline(3,1:120),'LineWidth',3);
hold on
plot(Xn_2(3,1:120,20)-Xn_baseline(3,1:120),'--','LineWidth',3);
hold on
plot(Xn_2(3,1:120,50)-Xn_baseline(3,1:120),'-.','LineWidth',3);
hold on
plot(Xn_2(3,1:120,80)-Xn_baseline(3,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Infected (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig11_infected.eps','epsc')

figure(6);
plot(Xn_3(3,1:120,1)-Xn_baseline(3,1:120),'LineWidth',3);
hold on
plot(Xn_3(3,1:120,20)-Xn_baseline(3,1:120),'--','LineWidth',3);
hold on
plot(Xn_3(3,1:120,50)-Xn_baseline(3,1:120),'-.','LineWidth',3);
hold on
plot(Xn_3(3,1:120,80)-Xn_baseline(3,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Infected (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig12_infected.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Susceptible
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(7);
plot(Xn(2,1:120,1)-Xn_baseline(2,1:120),'LineWidth',3);
hold on
plot(Xn(2,1:120,10)-Xn_baseline(2,1:120),'--','LineWidth',3);
hold on
plot(Xn(2,1:120,20)-Xn_baseline(2,1:120),'-.','LineWidth',3);
hold on
plot(Xn(2,1:120,30)-Xn_baseline(2,1:120),':','LineWidth',3);
hold on
plot(Xn(2,1:120,40)-Xn_baseline(2,1:120),'LineWidth',1.5);
hold on
plot(Xn(2,1:120,50)-Xn_baseline(2,1:120),'--','LineWidth',1.5);
hold on
plot(Xn(2,1:120,60)-Xn_baseline(2,1:120),'-.','LineWidth',1.5);
hold on
plot(Xn(2,1:120,70)-Xn_baseline(2,1:120),':','LineWidth',1.5);
hold on
plot(Xn(2,1:120,80)-Xn_baseline(2,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig10_susceptibles.eps','epsc')

figure(8);
plot(Xn_2(2,1:120,1)-Xn_baseline(2,1:120),'LineWidth',3);
hold on
plot(Xn_2(2,1:120,20)-Xn_baseline(2,1:120),'--','LineWidth',3);
hold on
plot(Xn_2(2,1:120,50)-Xn_baseline(2,1:120),'-.','LineWidth',3);
hold on
plot(Xn_2(2,1:120,80)-Xn_baseline(2,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig11_susceptibles.eps','epsc')


figure(9);
plot(Xn_3(2,1:120,1)-Xn_baseline(2,1:120),'LineWidth',3);
hold on
plot(Xn_3(2,1:120,20)-Xn_baseline(2,1:120),'--','LineWidth',3);
hold on
plot(Xn_3(2,1:120,50)-Xn_baseline(2,1:120),'-.','LineWidth',3);
hold on
plot(Xn_3(2,1:120,80)-Xn_baseline(2,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig12_susceptibles.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Death
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(10);
plot(Xn(5,1:120,1)-Xn_baseline(5,1:120),'LineWidth',3);
hold on
plot(Xn(5,1:120,10)-Xn_baseline(5,1:120),'--','LineWidth',3);
hold on
plot(Xn(5,1:120,20)-Xn_baseline(5,1:120),'-.','LineWidth',3);
hold on
plot(Xn(5,1:120,30)-Xn_baseline(5,1:120),':','LineWidth',3);
hold on
plot(Xn(5,1:120,40)-Xn_baseline(5,1:120),'LineWidth',1.5);
hold on
plot(Xn(5,1:120,50)-Xn_baseline(5,1:120),'--','LineWidth',1.5);
hold on
plot(Xn(5,1:120,60)-Xn_baseline(5,1:120),'-.','LineWidth',1.5);
hold on
plot(Xn(5,1:120,70)-Xn_baseline(5,1:120),':','LineWidth',1.5);
hold on
plot(Xn(5,1:120,80)-Xn_baseline(5,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Deaths (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig10_deaths.eps','epsc')


figure(11);
plot(Xn_2(5,3:120,1)-Xn_baseline(5,3:120),'LineWidth',3);
hold on
plot(Xn_2(5,3:120,20)-Xn_baseline(5,3:120),'--','LineWidth',3);
hold on
plot(Xn_2(5,3:120,50)-Xn_baseline(5,3:120),'-.','LineWidth',3);
hold on
plot(Xn_2(5,3:120,80)-Xn_baseline(5,3:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Deaths (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig11_deaths.eps','epsc')


figure(12);
plot(Xn_3(5,1:120,1)-Xn_baseline(5,1:120),'LineWidth',3);
hold on
plot(Xn_3(5,1:120,20)-Xn_baseline(5,1:120),'--','LineWidth',3);
hold on
plot(Xn_3(5,1:120,50)-Xn_baseline(5,1:120),'-.','LineWidth',3);
hold on
plot(Xn_3(5,1:120,80)-Xn_baseline(5,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Deaths (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig12_deaths.eps','epsc')

%%%%%%%%%%%%%%%%%%%%%
% Output
%%%%%%%%%%%%%%%%%%%%%%%%%%


figure(111);
plot(100.*(Xn(11,1:120,1)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'LineWidth',3);
hold on
plot(100.*(Xn(11,1:120,10)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn(11,1:120,20)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn(11,1:120,30)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),':','LineWidth',3);
hold on
plot(100.*(Xn(11,1:120,40)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'LineWidth',1.5);
hold on
plot(100.*(Xn(11,1:120,50)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'--','LineWidth',1.5);
hold on
plot(100.*(Xn(11,1:120,60)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'-.','LineWidth',1.5);
hold on
plot(100.*(Xn(11,1:120,70)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),':','LineWidth',1.5);
hold on
plot(100.*(Xn(11,1:120,80)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig10_output.eps','epsc')


figure(222);
plot(100.*(Xn_2(11,1:120,1)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_2(11,1:120,20)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_2(11,1:120,50)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_2(11,1:120,80)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig11_output.eps','epsc')

figure(333);
plot(100.*(Xn_3(11,1:120,1)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_3(11,1:120,20)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_3(11,1:120,50)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_3(11,1:120,80)-Xn_baseline(11,1:120))./Xn_baseline(11,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig12_output.eps','epsc')


%% Figures 3 to 5: active containement.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Consumption
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(13);
plot(100.*(Xn_cont(13,1:120,1)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_cont(13,1:120,10)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_cont(13,1:120,20)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_cont(13,1:120,30)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),':','LineWidth',3);
hold on
plot(100.*(Xn_cont(13,1:120,40)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'LineWidth',1.5);
hold on
plot(100.*(Xn_cont(13,1:120,50)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'--','LineWidth',1.5);
hold on
plot(100.*(Xn_cont(13,1:120,60)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'-.','LineWidth',1.5);
hold on
plot(100.*(Xn_cont(13,1:120,70)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),':','LineWidth',1.5);
hold on
plot(100.*(Xn_cont(13,1:120,80)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Consumption (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig3_consumption.eps','epsc')

figure(14);
plot(100.*(Xn_2_cont(13,1:120,1)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_2_cont(13,1:120,20)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_2_cont(13,1:120,50)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_2_cont(13,1:120,80)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Consumption (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig4_consumption.eps','epsc')

figure(15);
plot(100.*(Xn_3_cont(13,1:120,1)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_3_cont(13,1:120,20)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_3_cont(13,1:120,50)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_3_cont(13,1:120,80)-Xn_baseline_cont(13,1:120))./Xn_baseline_cont(13,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Consumption (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig5_consumption.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Infected
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(16);
plot(Xn_cont(3,1:120,1)-Xn_baseline_cont(3,1:120),'LineWidth',3);
hold on
plot(Xn_cont(3,1:120,10)-Xn_baseline_cont(3,1:120),'--','LineWidth',3);
hold on
plot(Xn_cont(3,1:120,20)-Xn_baseline_cont(3,1:120),'-.','LineWidth',3);
hold on
plot(Xn_cont(3,1:120,30)-Xn_baseline_cont(3,1:120),':','LineWidth',3);
hold on
plot(Xn_cont(3,1:120,40)-Xn_baseline_cont(3,1:120),'LineWidth',1.5);
hold on
plot(Xn_cont(3,1:120,50)-Xn_baseline_cont(3,1:120),'--','LineWidth',1.5);
hold on
plot(Xn_cont(3,1:120,60)-Xn_baseline_cont(3,1:120),'-.','LineWidth',1.5);
hold on
plot(Xn_cont(3,1:120,70)-Xn_baseline_cont(3,1:120),':','LineWidth',1.5);
hold on
plot(Xn_cont(3,1:120,80)-Xn_baseline_cont(3,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Infected (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig3_infected.eps','epsc')

figure(17);
plot(Xn_2_cont(3,1:120,1)-Xn_baseline_cont(3,1:120),'LineWidth',3);
hold on
plot(Xn_2_cont(3,1:120,20)-Xn_baseline_cont(3,1:120),'--','LineWidth',3);
hold on
plot(Xn_2_cont(3,1:120,50)-Xn_baseline_cont(3,1:120),'-.','LineWidth',3);
hold on
plot(Xn_2_cont(3,1:120,80)-Xn_baseline_cont(3,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Infected (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig4_infected.eps','epsc')

figure(18);
plot(Xn_3_cont(3,1:120,1)-Xn_baseline_cont(3,1:120),'LineWidth',3);
hold on
plot(Xn_3_cont(3,1:120,20)-Xn_baseline_cont(3,1:120),'--','LineWidth',3);
hold on
plot(Xn_3_cont(3,1:120,50)-Xn_baseline_cont(3,1:120),'-.','LineWidth',3);
hold on
plot(Xn_3_cont(3,1:120,80)-Xn_baseline_cont(3,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Infected (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig5_infected.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Susceptible
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(19);
plot(Xn_cont(2,1:120,1)-Xn_baseline_cont(2,1:120),'LineWidth',3);
hold on
plot(Xn_cont(2,1:120,10)-Xn_baseline_cont(2,1:120),'--','LineWidth',3);
hold on
plot(Xn_cont(2,1:120,20)-Xn_baseline_cont(2,1:120),'-.','LineWidth',3);
hold on
plot(Xn_cont(2,1:120,30)-Xn_baseline_cont(2,1:120),':','LineWidth',3);
hold on
plot(Xn_cont(2,1:120,40)-Xn_baseline_cont(2,1:120),'LineWidth',1.5);
hold on
plot(Xn_cont(2,1:120,50)-Xn_baseline_cont(2,1:120),'--','LineWidth',1.5);
hold on
plot(Xn_cont(2,1:120,60)-Xn_baseline_cont(2,1:120),'-.','LineWidth',1.5);
hold on
plot(Xn_cont(2,1:120,70)-Xn_baseline_cont(2,1:120),':','LineWidth',1.5);
hold on
plot(Xn_cont(2,1:120,80)-Xn_baseline_cont(2,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig3_susceptible.eps','epsc')

figure(20);
plot(Xn_2_cont(2,1:120,1)-Xn_baseline_cont(2,1:120),'LineWidth',3);
hold on
plot(Xn_2_cont(2,1:120,20)-Xn_baseline_cont(2,1:120),'--','LineWidth',3);
hold on
plot(Xn_2_cont(2,1:120,50)-Xn_baseline_cont(2,1:120),'-.','LineWidth',3);
hold on
plot(Xn_2_cont(2,1:120,80)-Xn_baseline_cont(2,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig4_susceptible.eps','epsc')

figure(21);
plot(Xn_3_cont(2,1:120,1)-Xn_baseline_cont(2,1:120),'LineWidth',3);
hold on
plot(Xn_3_cont(2,1:120,20)-Xn_baseline_cont(2,1:120),'--','LineWidth',3);
hold on
plot(Xn_3_cont(2,1:120,50)-Xn_baseline_cont(2,1:120),'-.','LineWidth',3);
hold on
plot(Xn_3_cont(2,1:120,80)-Xn_baseline_cont(2,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Susceptible (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig5_susceptible.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Death
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(22);
plot(Xn_cont(5,1:120,1)-Xn_baseline_cont(5,1:120),'LineWidth',3);
hold on
plot(Xn_cont(5,1:120,10)-Xn_baseline_cont(5,1:120),'--','LineWidth',3);
hold on
plot(Xn_cont(5,1:120,20)-Xn_baseline_cont(5,1:120),'-.','LineWidth',3);
hold on
plot(Xn_cont(5,1:120,30)-Xn_baseline_cont(5,1:120),':','LineWidth',3);
hold on
plot(Xn_cont(5,1:120,40)-Xn_baseline_cont(5,1:120),'LineWidth',1.5);
hold on
plot(Xn_cont(5,1:120,50)-Xn_baseline_cont(5,1:120),'--','LineWidth',1.5);
hold on
plot(Xn_cont(5,1:120,60)-Xn_baseline_cont(5,1:120),'-.','LineWidth',1.5);
hold on
plot(Xn_cont(5,1:120,70)-Xn_baseline_cont(5,1:120),':','LineWidth',1.5);
hold on
plot(Xn_cont(5,1:120,80)-Xn_baseline_cont(5,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Deaths (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig3_deaths.eps','epsc')

figure(23);
plot(Xn_2_cont(5,3:120,1)-Xn_baseline_cont(5,3:120),'LineWidth',3);
hold on
plot(Xn_2_cont(5,3:120,20)-Xn_baseline_cont(5,3:120),'--','LineWidth',3);
hold on
plot(Xn_2_cont(5,3:120,50)-Xn_baseline_cont(5,3:120),'-.','LineWidth',3);
hold on
plot(Xn_2_cont(5,3:120,80)-Xn_baseline_cont(5,3:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Deaths (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig4_deaths.eps','epsc')

figure(24);
plot(Xn_3_cont(5,1:120,1)-Xn_baseline_cont(5,1:120),'LineWidth',3);
hold on
plot(Xn_3_cont(5,1:120,20)-Xn_baseline_cont(5,1:120),'--','LineWidth',3);
hold on
plot(Xn_3_cont(5,1:120,50)-Xn_baseline_cont(5,1:120),'-.','LineWidth',3);
hold on
plot(Xn_3_cont(5,1:120,80)-Xn_baseline_cont(5,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Deaths (% deviation)','Fontsize',16);
ylabel('Level deviation','Fontsize',16);
saveas(gcf,'figures/fig5_deaths.eps','epsc')


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Output
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

figure(25);
plot(100.*(Xn_cont(11,1:120,1)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_cont(11,1:120,10)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_cont(11,1:120,20)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_cont(11,1:120,30)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),':','LineWidth',3);
hold on
plot(100.*(Xn_cont(11,1:120,40)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'LineWidth',1.5);
hold on
plot(100.*(Xn_cont(11,1:120,50)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'--','LineWidth',1.5);
hold on
plot(100.*(Xn_cont(11,1:120,60)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'-.','LineWidth',1.5);
hold on
plot(100.*(Xn_cont(11,1:120,70)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),':','LineWidth',1.5);
hold on
plot(100.*(Xn_cont(11,1:120,80)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'LineWidth',0.5);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 10','Revealed time 20','Revealed time 30','Revealed time 40','Revealed time 50','Revealed time 60','Revealed time 70','Revealed time 80'},'Location','east','Fontsize',12);
xlabel('Weeks','Fontsize',16);
%ylabel('Output (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig3_output.eps','epsc')


figure(26);
plot(100.*(Xn_2_cont(11,1:120,1)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_2_cont(11,1:120,20)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_2_cont(11,1:120,50)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_2_cont(11,1:120,80)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Horizon 1','Horizon 20','Horizon 50','Horizon 80'},'Location','southeast','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Output (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig4_output.eps','epsc')


figure(27);
plot(100.*(Xn_3_cont(11,1:120,1)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'LineWidth',3);
hold on
plot(100.*(Xn_3_cont(11,1:120,20)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'--','LineWidth',3);
hold on
plot(100.*(Xn_3_cont(11,1:120,50)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),'-.','LineWidth',3);
hold on
plot(100.*(Xn_3_cont(11,1:120,80)-Xn_baseline_cont(11,1:120))./Xn_baseline_cont(11,1:120),':','LineWidth',3);
xlim([0 100])
%legend({'Revealed time 1','Revealed time 20','Revealed time 50','Revealed time 80'},'Location','northwest','Fontsize',14);
xlabel('Weeks','Fontsize',16);
%ylabel('Output (% deviation)','Fontsize',16);
ylabel('Percentage deviation','Fontsize',16);
saveas(gcf,'figures/fig5_output.eps','epsc')


